%global glib2_version 2.74.0

Name:           gobject-introspection
Version:        1.74.0
Release:        2
Summary:        Introspection system for GObject-based libraries
License:        GPLv2+ and LGPLv2+ and MIT
URL:            https://wiki.gnome.org/Projects/GObjectIntrospection
Source0:        https://download.gnome.org/sources/gobject-introspection/1.74/%{name}-%{version}.tar.xz

BuildRequires:  gcc bison cairo-gobject-devel chrpath flex fontconfig-devel freetype-devel gettext glib2-devel >= %{glib2_version} libxslt  meson
BuildRequires:  gtk-doc libffi-devel libX11-devel libXfixes-devel libXft-devel libxml2-devel mesa-libGL-devel python3-devel python3-mako python3-markdown

Requires:       glib2%{?_isa} >= %{glib2_version}

%description
GObject Introspection can scan C header and source files in order to
generate introspection "typelib" files.  It also provides an API to examine
typelib files, useful for creating language bindings among other
things.

%package devel
Summary:        Libraries and headers for gobject-introspection
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libtool
Requires:       python3-mako
Requires:       python3-markdown

%description devel
Libraries and headers for gobject-introspection

%package_help

%prep
%autosetup -p1

%build
%meson -Ddoctool=enabled -Dgtk_doc=true -Dpython=%{__python3}
%meson_build

%install
%meson_install

%check
%meson_test

%post
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
/sbin/ldconfig
fi

%files
%license COPYING COPYING.GPL COPYING.LGPL
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_bindir}/g-ir-*
%{_libdir}/lib*.so
%{_libdir}/gobject-introspection/
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0
%{_datadir}/gobject-introspection-1.0/
%{_datadir}/aclocal/introspection.m4
%{_datadir}/gtk-doc/html/gi/
%{_includedir}/*

%files help
%doc NEWS README.rst
%{_datadir}/gtk-doc/
%{_mandir}/man1/*.1*

%changelog
* Thu May 25 2023 fuanan <fuanan3@h-partners.com> - 1.74.0-2
- enable test in check

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.74.0-1
- update to 1.74.0

* Tue Oct 25 2022 yanglongkang <yanglongkang@h-partners.com> - 1.72.0-2
- rebuild for next release

* Fri Apr 22 2022 dillon chen <dillon.chen@gmail.com> - 1.72.0-1
- Update to 1.72.0

* Sun Dec 26 2021 tianwei <tianwei12@huawei.com>  - 1.70.0-1
- upgrade version to 1.70.0

* Thu Jul 22 2021 wuchaochao <wuchaochao4@huawei.com>  - 1.66.1-2
- Remove BuildRequires gdb

* Wed May 19 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.66.1-1
- Upgrade to 1.66.1
- Update Version, Release, Source0

* Mon Sep 14 2020 Leo Fang <leofang_94@163.com> - 1.64.1-2
- update Source0 in spec

* Fri Jul 24 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.64.1-1
- update software to v1.64.1

* Sat Mar 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.58.0-6
- fixbug in self-building

* Wed Nov 20 2019 fangyufa<fangyufa1@huawei.com> - 1.58.0-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix build problem for x86_64

* Tue Oct 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.58.0-4
- fix provides for main package and devel

* Mon Oct 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.58.0-3
- Package init

